For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • GETReturns all companies.
      • POSTCreates a new company.
      • GETReturns all company industries that are currently in use.
      • GETReturns the company with the specified id.
      • PUTUpdates the company with the specified id.
      • GETReturns the contact infos of the company with the specified id.
      • POSTCreates a new contact info for the company with the specified id.
      • GETReturns the specified contact info of the company with the specified id.
      • PUTUpdates the contact info for the company with the specified id.
      • DELDeletes the contact info of the company with the specified id.
      • POSTDeletes the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompanies

Deletes the contact info of the company with the specified id.

DELETE
https://api.awork.com/api/v1/companies/:companyId/contactinfo/:contactInfoId
DELETE
/api/v1/companies/:companyId/contactinfo/:contactInfoId
$curl -X DELETE https://api.awork.com/api/v1/companies/companyId/contactinfo/contactInfoId \
> -H "Authorization: Bearer <token>"
<Check title="Required Permissions" icon="key">The user must be an admin or have `company-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Deletes the company with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have company-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company.
contactInfoIdstringRequiredformat: "uuid"
The id of the contact info.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error